Get plan activity
- GET /deployments/{deployment_id}/{resource_kind}/{ref_id}/activity/{attempt_id}
Retrieves details for a single plan activity for the given resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
-
attempt_idstringrequired -
Attempt id for the activity
Responses
Returning the single plan activity for the specified resource
-
plan_attempt_idstring -
plan_attempt_namestring -
healthybooleanrequired -
attempt_start_timestring -
attempt_end_timestring -
plan_end_timestring -
planobject -
plan_attempt_logClusterPlanStepInforequired -
step_idstringrequired -
ID of current step
-
startedstringrequired -
When the step started (ISO format in UTC)
-
completedstring -
When the step completed (ISO format in UTC)
-
duration_in_millisinteger -
The duration of the step in MS
-
statusrequired -
The status of the step (success, warning, error - warning means something didn't go as expected but it was not serious enough to abort the plan)
-
Values:
successwarningerrorpending -
info_logClusterPlanStepLogMessageInforequired -
Human readable summaries of the step, including messages for each stage of the step
-
timestampstringrequired -
Timestamp marking on info log of step
-
delta_in_millisinteger -
Time in milliseconds since previous log message
-
messagestringrequired -
Human readable log message
-
detailsmap string to stringrequired -
A map with details for the log about what happened during the step execution. Keys and values for are always both strings, representing the name of the detail and its value, respectively.
-
internal_detailsmap string to string -
A json object with sensitive details for the log, visible only to admins. May contain nested json objects.
-
failure_typestring -
The failure type, in case the step failed
-
sourceChangeSourceInfo -
A container for information about the source of a change.
-
facilitatorstringrequired -
The service where the change originated from
-
actionstringrequired -
The type of plan change that was initiated
-
datestringrequired -
The time the change was initiated
-
user_idstring -
The user that requested the change
-
admin_idstring -
The admin user that requested the change
-
remote_addressesstring -
The host addresses of the user that originated the change
-
warningsClusterPlanWarningrequired -
errorClusterPlanAttemptError -
Information about an error during a plan attempt.
-
timestampstringrequired -
Timestamp marking on info log of step
-
messagestringrequired -
Human readable error message
-
detailsmap string to stringrequired -
A map with details regarding the error. Both the keys and values are always strings, representing the name of the detail and its value, respectively.
-
failure_typestring -
The failure type
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response